#! /bin/sh
sudo -S bash -c "apt update && \
        apt install bash-completion elinks git zsh curl neovim byobu command-not-found apt-file htop \
        python3-venv python3 locales man mc cmake clang build-essential libpython-dev libpython3-dev && \
	apt-file update && \
	update-command-not-found"

# clone the entire environment from github
TMPDIR=$(mktemp -u -p "$HOME" -d dotfiles.XXXXX)
git clone --separate-git-dir="$HOME/.cfg" https://github.com/schtobia/dotfiles.git "$TMPDIR"
[ -r "$TMPDIR/.gitmodules" ] && cp -vi "$TMPDIR/.gitmodules" "$HOME"
git --git-dir="$HOME/.cfg/" --work-tree="$HOME" config status.showUntrackedFiles no
(cd $HOME && git --git-dir="$HOME/.cfg/" --work-tree="$HOME" checkout -- .)
rm -r $TMPDIR

# node related
curl -sL https://deb.nodesource.com/setup_9.x | sudo -E bash -
sudo apt-get install -y nodejs

# python3 related
sudo -S bash -c "curl -RLfs https://bootstrap.pypa.io/get-pip.py | python2 &&\
	curl -RLfs https://bootstrap.pypa.io/get-pip.py | python3"

# vim related
pip install --user neovim &&
	nvim +PluginInstall +qall && \
	(cd $HOME/.vim/bundle/YouCompleteMe && ./install.py --clang-completer --js-completer --system-libclang)
